#include <iostream>
#include <cmath>
using namespace std;
typedef long long ll;

int let[100000], rit[100000];
int l;

bool f(ll m1, ll m2, ll mx1, ll mx2){
    return (abs(double(mx1+mx2)/double(m1+m2)) < l);
}

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);

    int m, w, n, k;
    cin >> m >> l >> w >> n >> k;

    ll ml(0), mr(0), mxl(0), mxr(0);

    for (int i = 0; i < n; i++){
        cin >> rit[i];
        mr += rit[i];
        mxr += (l + w + 2*w*i) * rit[i];
    }

    for (int i = 0; i < k; i++){
        cin >> let[i];
        ml += let[i];
        mxl -= (l + w + 2*w*i) * let[i];
    }

    ll tml = ml, tmr = mr, tmxl = mxl, tmxr = mxr;
    int ansd(0), anss(0);
    int i(n-1), j(k-1);
    bool s(0);

    while (f(tml - let[j], tmr, tmxl + let[j]*(l+w+w*j*2), tmxr) || f(tmr - rit[i], tml, tmxr - rit[i]*(l+w+w*i*2), tmxl)){
        if (!s && f(tml - let[j], tmr, tmxl + let[j]*(l+w+w*j*2), tmxr)){
            tml -= let[j];
            tmxl += let[j]*(l+w+w*j*2);
            j--;
            ansd++;
            continue;
        }
        if (s && f(tmr - rit[i], tml, tmxr - rit[i]*(l+w+w*i*2), tmxl)){
            tmr -= rit[i];
            tmxr -= rit[i]*(l+w+w*i*2);
            i--;
            ansd++;
            continue;
        }

        s ^= 1;
        anss++;
    }
    int tansd = ansd, tanss = anss;

    tml = ml, tmr = mr, tmxl = mxl, tmxr = mxr;
    ansd = 0;
    anss = 0;
    i = n-1;
    j = k-1;
    s = 1;

    while (f(tml - let[j], tmr, tmxl + let[j]*(l+w+w*j*2), tmxr) || f(tmr - rit[i], tml, tmxr - rit[i]*(l+w+w*i*2), tmxl)){
        if (!s && f(tml - let[j], tmr, tmxl + let[j]*(l+w+w*j*2), tmxr)){
            tml -= let[j];
            tmxl += let[j]*(l+w+w*j*2);
            j--;
            ansd++;
            continue;
        }
        if (s && f(tmr - rit[i], tml, tmxr - rit[i]*(l+w+w*i*2), tmxl)){
            tmr -= rit[i];
            tmxr -= rit[i]*(l+w+w*i*2);
            i--;
            ansd++;
            continue;
        }

        s ^= 1;
        anss++;
    }

    if (tansd > ansd){
        cout << tansd << ' ' << tanss;
        return 0;
    }
    cout << ansd << ' ' << anss;
}
